[PATCH 1/2] add $CPPFLAGS to sdksyms.sh in case they are passed in by during the build

Richard PALO richard at netbsd.org
Mon Nov 16 22:01:54 PST 2015


From: Richard PALO <richard at NetBSD.org>

Signed-off-by: Richard PALO <richard at NetBSD.org>
---
 hw/xfree86/sdksyms.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/hw/xfree86/sdksyms.sh b/hw/xfree86/sdksyms.sh
index 5391b72..3cfbc32 100755
--- a/hw/xfree86/sdksyms.sh
+++ b/hw/xfree86/sdksyms.sh
@@ -301,8 +301,8 @@ topdir=$1
 shift
 LC_ALL=C
 export LC_ALL
-${CPP:-cpp} "$@" sdksyms.c > /dev/null || exit $?
-${CPP:-cpp} "$@" sdksyms.c | ${AWK:-awk} -v topdir=$topdir '
+${CPP:-cpp} $CPPFLAGS "$@" sdksyms.c > /dev/null || exit $?
+${CPP:-cpp} $CPPFLAGS "$@" sdksyms.c | ${AWK:-awk} -v topdir=$topdir '
 BEGIN {
     sdk = 0;
     print("/*");
-- 
2.6.3





More information about the xorg-devel mailing list